> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tagada.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a customer



## OpenAPI

````yaml /payments-api/openapi.json get /v1/customers/{id}
openapi: 3.1.0
info:
  title: TagadaPay Payments API
  version: '2026-11-01'
servers:
  - url: https://api.tagada.io
security: []
paths:
  /v1/customers/{id}:
    get:
      tags:
        - customers
      summary: Retrieve a customer
      operationId: customers.retrieve
      parameters:
        - in: path
          name: id
          required: true
          schema:
            pattern: ^cus_[a-f0-9]{12}$
            type: string
        - in: header
          name: payments-account
          required: false
          schema:
            type: string
        - in: header
          name: payments-version
          required: false
          schema:
            enum:
              - '2026-11-01'
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Customer'
          description: Customer, shared with the CRM.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: parameter_invalid, parameter_missing, amount_out_of_range
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: authentication_required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: permission_denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: resource_not_found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: idempotency_key_reused, idempotency_key_in_progress
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: rate_limited
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: internal_error
        '501':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: not_implemented
      security:
        - bearerAuth: []
components:
  schemas:
    Customer:
      additionalProperties: false
      properties:
        billing_address:
          $ref: '#/components/schemas/CustomerStoredAddress'
        created_at:
          format: date-time
          type: string
        email:
          type:
            - string
            - 'null'
        first_name:
          type:
            - string
            - 'null'
        id:
          pattern: ^cus_[a-f0-9]{12}$
          type: string
        last_name:
          type:
            - string
            - 'null'
        locale:
          type:
            - string
            - 'null'
        metadata:
          additionalProperties:
            type: string
          type: object
        object:
          enum:
            - customer
          type: string
        shipping_address:
          $ref: '#/components/schemas/CustomerStoredAddress'
        store:
          pattern: ^store_[a-f0-9]{12}$
          type:
            - string
            - 'null'
      required:
        - id
        - object
        - store
        - email
        - first_name
        - last_name
        - billing_address
        - shipping_address
        - locale
        - metadata
        - created_at
      type: object
    ApiError:
      properties:
        error:
          properties:
            code:
              $ref: '#/components/schemas/ErrorCode'
            details:
              additionalProperties: {}
              type: object
            message:
              type: string
            param:
              type:
                - string
                - 'null'
            request_id:
              type: string
            type:
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - conflict_error
                - rate_limit_error
                - api_error
                - unavailable_error
              type: string
          required:
            - type
            - code
            - message
            - param
            - request_id
          type: object
      required:
        - error
      type: object
    CustomerStoredAddress:
      additionalProperties: false
      properties:
        city:
          type:
            - string
            - 'null'
        company:
          type:
            - string
            - 'null'
        country:
          type:
            - string
            - 'null'
        first_name:
          type:
            - string
            - 'null'
        last_name:
          type:
            - string
            - 'null'
        line1:
          type:
            - string
            - 'null'
        line2:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        postal_code:
          type:
            - string
            - 'null'
        state:
          type:
            - string
            - 'null'
      required:
        - first_name
        - last_name
        - company
        - line1
        - line2
        - city
        - state
        - postal_code
        - country
        - phone
      type:
        - object
        - 'null'
    ErrorCode:
      enum:
        - account_daily_cap_exceeded
        - account_not_enabled
        - amount_out_of_range
        - authentication_required
        - checkout_session_in_use
        - currency_not_supported
        - fx_rate_unavailable
        - idempotency_key_in_progress
        - idempotency_key_reused
        - internal_error
        - no_active_policy
        - not_implemented
        - parameter_invalid
        - parameter_missing
        - parent_payment_invalid
        - parent_payment_not_allowed
        - parent_payment_not_paid
        - payment_method_not_usable
        - payment_method_required
        - payment_method_save_disabled
        - payment_not_confirmable
        - payment_not_retryable
        - payments_api_disabled
        - permission_denied
        - rate_limited
        - resource_not_found
        - retry_exists
        - retry_limit_reached
        - store_not_on_payments_api
        - stored_credential_missing
      type: string
      x-extensible-enum:
        - account_daily_cap_exceeded
        - account_not_enabled
        - amount_out_of_range
        - authentication_required
        - checkout_session_in_use
        - currency_not_supported
        - fx_rate_unavailable
        - idempotency_key_in_progress
        - idempotency_key_reused
        - internal_error
        - no_active_policy
        - not_implemented
        - parameter_invalid
        - parameter_missing
        - parent_payment_invalid
        - parent_payment_not_allowed
        - parent_payment_not_paid
        - payment_method_not_usable
        - payment_method_required
        - payment_method_save_disabled
        - payment_not_confirmable
        - payment_not_retryable
        - payments_api_disabled
        - permission_denied
        - rate_limited
        - resource_not_found
        - retry_exists
        - retry_limit_reached
        - store_not_on_payments_api
        - stored_credential_missing
  securitySchemes:
    bearerAuth:
      description: >-
        Secret, platform or publishable API key. Platform keys require
        Payments-Account.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.